#%define _use_internal_dependency_generator 0

Name: perl-Compress-Zlib
Version: 1.33
Release: 1.ker.rhel3
Summary: Interface to most of the zlib compression library. 
License: Distributable
Group: Development/Libraries
URL: http://search.cpan.org/search?mode=module&query=Compress-Zlib
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: Compress-Zlib-%{version}.tar.gz

%description
This module provides a Perl interface to most of the zlib compression
library. For more details see the pod documentation embedded in the
file Zlib.pm.

%prep
%setup -q -n Compress-Zlib-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > Compress-Zlib-%{version}-filelist
if [ "$(cat Compress-Zlib-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Compress-Zlib-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Mar 08 2004 Milan Kerslager <kerslage@linux.cz> 1.33-1.ker.rhel3
- initial version
